﻿namespace ProductExchangeModel.BdcModel1
{
    /// <summary>
    /// Strongly typed Product
    /// Matches Model definition
    /// </summary>
    public class Product
    {
        // Fields which exist in 'External System' already
        public int ProductId { get; set; }
        public string Name { get; set; }
        public decimal Price { get; set; }

        // Calculated Field for Pound Sterling
        public decimal PriceInPoundSterling { get; set; }
        
        // Calculated Field for Yen
        public decimal PriceInYen { get; set; }
    }
}
